- Qt 6.8
- Qt GRPC
- C++ Classes
- QGrpcServerStream
- Qt 6.8.3 Reference Documentation

# QGrpcServerStream Class

The QGrpcServerStream class provides access in handling server-streaming RPCs. More...

Header: | `#include <QGrpcServerStream>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.7
Inherits: | QGrpcOperation

- List of all members, including inherited members

## Public Functions

virtual | ~QGrpcServerStream() override

## Signals

void | messageReceived()

## Detailed Description

The QGrpcServerStream class provides the interface for handling server-streaming remote procedure calls (RPCs), which is one of the four gRPC™ service methods.

For a high-level overview, refer to the Qt GRPC Client Guide.

Note: Users are responsible for managing the unique RPC handlers returned by the `Client` interface, ensuring their existence at least until the finished signal is emitted. After receiving this signal, the handler can be safely reassigned or destroyed.

## Member Function Documentation

### `[override virtual noexcept]` QGrpcServerStream::~QGrpcServerStream()

Destroys the QGrpcServerStream.

### `[signal]` void QGrpcServerStream::messageReceived()

This signal is emitted when the streaming RPC has received a new message from the server. The read() methods can then be used to deserialize the received message.